var shop=
{
  check:function(a)
  {
	for(var k=0;k<=a;k++)
	{
		if ($("#attr"+k).val()=='')
		{
			alert('请选择'+$("#attrname"+k).html());
			return false;
		}
	}
	if ($("#num").val()==0||$("#num").val()=='')
	{
		alert('请输入购买数量!');
		return false;
	}
	if (parseInt($("#num").val())>parseInt($("#stock").text()))
	{
		alert('对不起，您最多只能购买'+$("#stock").text()+'!');
		return false;
	}
	return true;
  },
  gobuy:function(a,id)
  {
	if (shop.check(a))
	{
		$.get("/"+sitePath+"inc/ajax.asp",{action:"addCart",id:id,num:$("#num").val(),AttributeCart:escape($("#AttributeCart").val())},
		function(d)
		{																																												               	if (d!=''&&d!=null)
			{
			   location.href="/"+sitePath+"shop/";
			}
		});
	}			
  },
  getAttr:function(obj,i,a,l)
  {
	$("#attr"+i).val(obj.innerHTML);
	for(var k=1;k<=l;k++)
	{
	  $("#att"+i+k)[0].className='';
	}
	obj.className='on';
	var attr='';
	var attrs='';
	for(var k=1;k<=a;k++)
	{
	  if ($("#attr"+k).val()!='')
	  {
		if (attr==''){
			attr='"'+$("#attr"+k).val()+'"';
			attrs=$("#attrname"+k).html()+$("#attr"+k).val();
		 }else{
			attr+=',"'+$("#attr"+k).val()+'"';
			attrs+='  '+$("#attrname"+k).html()+$("#attr"+k).val();
		 }
	  }
	}
	$("#AttributeCart").val(attrs);
	$("#buyselect").html("<b>已选择：<font color=brown>"+attr+"</font></b>");
  }
}
function viewLeaveWordList(page)//转到("/"+sitePath+"gbook.asp?action=list&page="+page,)页面.
{
  $.post(page,function(data)
  {
	if (data=="err")
	{
		$(".com_content2").html("<font color='red'>发生错误</font>")	
	}else{
		$(".com_content2").html(unescape(data))	
	}
	$(".window_loader").hide()
	$(".com_content1").hide();
	$(".com_content2").show();
  });
}
function logOut(){
  $.post("/"+sitePath+"inc/gbook.asp?logout.html",function()
  {
	alert('成功退出')
	viewLeaveWordList("/"+sitePath+"inc/gbook.asp?list.html");
  });
}
function delLeaveWord(id,page,type){
  $.post("/"+sitePath+"inc/gbook.asp?del-"+id+"-"+type+".html",function (obj)
  {
	if (obj=="ok"){viewLeaveWordList("/"+sitePath+"inc/gbook.asp?list.html");}else if(obj=="err")
	{alert('发生错误')}else{viewLeaveWordList("/"+sitePath+"inc/gbook.asp?list.html");}
  });
}
function leaveWord()
{
  if($("[name='m_author']").val()=="")
  {
	  alert('昵称必须填写');return false;
  }
  if($("[name='m_content']").val()=="")
  {
	  alert('内容必须填写');return false;
  }
  $.post("/"+sitePath+"inc/gbook.asp?add.html&random="+Math.random(),{m_author:escape($("[name='m_author']").val()),m_content:escape($("[name='m_content']").val()),m_state:escape($("[name='m_state']:checked").val())},function(data)
  {
	if(data=="ok")
	{
		viewLeaveWordList("/"+sitePath+"inc/gbook.asp?list.html&random="+Math.random());
		alert('评价成功，多谢支持！');
	}
	else if(data=="haveleave")
	{
		alert('你手也太快了，歇会儿再来评价吧！');
	}
	else
	{
		alert('必须有一个中文！');
	}
  
  });
}
$(function(){
  $.fn.loginLeaveWord=function(){
	if($("#m_username").val()==""||$("#password").val()==""){alert('用户名密码不能为空');return false;}
	$.post("/"+sitePath+"inc/gbook.asp?login.html",{m_username:$("#m_username").val(),m_pwd:$("#password").val()},function(data)
	{
	if(data=="ok")
	{
	  $(this).closeWindow();
	  alert('登陆成功');
	  viewLeaveWordList("/"+sitePath+"inc/gbook.asp?list.html");
	  }
	  else if(data=="no")
	  {
		  alert('用户名或密码不正确');
	  }
	  else if(data=="err"){alert('发生错误');}
		
	});
  }
  var px=860,i=1,proI=1,proPX=300,imgpro=0,imgproI=0
  $.get("/"+sitePath+"inc/ajax.asp?action=hitproduct&id="+productID,function (){});				
  $(".choose_butl").click(function()
  {
	var obj=$("#num"),num=parseInt(obj.val())-1
	if(num<1) return false;
	obj.val(num)
  });
  $(".choose_butr").click(function()
  {
	var obj=$("#num")
	obj.val(parseInt(obj.val())+1)
  });
  $(".pro_moretit ul li").click(function()
  {
	$(".pro_moretit ul li").attr("class","pro_current2");
	$(this).attr("class","pro_current");
    if($(this).attr("rel")=="2")
	{
	  $(".window_loader").css({top:$(this).position().top+"px",left:$(this).position().left+"px",width:$(this).css("width"),height:$(this).css("height"),paddingTop:"5px"}).fadeTo(0,0.7).show()
	  viewLeaveWordList("/"+sitePath+"inc/gbook.asp?list.html")
	}
	else
	{
	  $(".com_content1").show();
	  $(".com_content2").hide();
	}
  });
  $(".products4_butl").click(function()
  {
	i++
	if(i>2){i=2;}
	$(".products4_img ul").animate({marginLeft:"-"+px*i+"px"},500);
  });
  $(".products4_butr").click(function()
  {
	i--;
	if(i<0){i=0;}
	$(".products4_img ul").animate({marginLeft:"-"+px*i+"px"},500);
  });
  $(".pro_imgbotc a").mouseover(function()
  {
	  var rel=$(this).attr("rel")
	  $(".pro_imgbotc a").attr("class","")
	  $(this).attr("class","pro_imgcut");
	  $(".pro_imgtop img").attr("src",rel)
  });
  $(".pro_icon1").click(function()
  {
	if(imgpro==0){imgpro=$(".pro_imgbotc a").size()}
	imgproI--
	if(imgproI<0){imgproI=0;}
	$(".pro_imgbotc").animate({marginLeft:"-"+proPX*imgproI+"px"},500);
  });
  $(".pro_icon2").click(function()
  {
	if(imgpro==0){imgpro=$(".pro_imgbotc a").size()}
	imgproI++
	if(imgproI>Math.ceil(imgpro/4)-1){imgproI=Math.ceil(imgpro/4)-1;}
	$(".pro_imgbotc").animate({marginLeft:"-"+proPX*imgproI+"px"},500);
  });
//////////////////////////////////////弹窗 开始/////////////////////////////////////////////////////////
	var screenWidth,screenHeight,scrolltop=0,winX=0,winY=0,timer1//winX,winY是点击详情时窗口初始坐标；screenWidth、screenHeight是窗口始终位于屏幕的中间坐标
	var _move=false;//移动标记
    var _x,_y;//鼠标离控件左上角的相对位置
	var winWidth=parseInt($(".window").css("width"));//窗体的宽
    var winHeight=parseInt($(".window").css("height"));//窗体的高
	var win_topmWidth=parseInt($(".window_topm").css("width"));//窗体上边框初始宽度
	var win_bottommWidth=parseInt($(".window_bottomm").css("width"));//窗体下边框初始宽度
	var win_midlHeight=parseInt($(".window_midlbg").css("height"));//窗体左边框初始高度
	var win_midrHeight=parseInt($(".window_midrbg").css("height"));//窗体右边框初始高度
	
	$.fn.pro_comment=function(e){
	  $(".window_midtit span").html("登陆留言板")
	  $(".window_carstat").hide()
	  $(".window_car").html('<form>\
		<p>用户名：<input name="" type="text" id="m_username" method="post" /></p>\
		<p>密&nbsp;&nbsp;码：<input id="password" type="password" /></p>\
		<p class="log_submit"><input onclick="$(this).loginLeaveWord();return false;" type="submit" value="登&nbsp;&nbsp;陆" />&nbsp;&nbsp;&nbsp;&nbsp;<input name="" type="reset" value="重&nbsp;&nbsp;填" /></p>\
	  </form>')
	  scrolltop=$(document).scrollTop();//当前窗体距离页面顶部的高度
	  screenWidth=($(window).width()-winWidth)/2;
	  screenHeight=($(window).height()-winHeight)/2+scrolltop;
	  winX=e.pageX
	  winY=e.pageY;
	  $(".window_topm").css("width",win_topmWidth+"px")
	  $(".window_content").css({width:winWidth-50+"px",height:winHeight-70+"px"})//控件新宽度和高度
	  $(".window_bottomm").css("width",win_bottommWidth+"px")
	  $(".window_midlbg").css({height:win_midlHeight+"px"})
	  $(".window_midrbg").css({height:win_midrHeight+"px"})
	  $(".window_top").show();
	  $(".window_mid").show();
	  $(".window_loader").hide()
	  $(".window_bottom").show();
	  $(".window").css({top:winY,left:winX,width:0,height:0}).show().animate({left:screenWidth,top:screenHeight,width:winWidth+"px",height:winHeight+"px"},300)
	  $(".windowbg").css({display:"block",width:$(document).width(),height:$(document).height()}).fadeTo(0,0.5)
    };	
	$.fn.submitReply=function(id){
	  if($("#m_replycontent").val()==""){alert('回复不能为空');return false;}
	  $.post("/"+sitePath+"inc/gbook.asp?reply-"+id+".html",{m_replycontent:escape($("#m_replycontent").val())},function(obj)
	  {
		  if(obj=="ok")
		  {
			$(this).closeWindow();
			viewLeaveWordList("/"+sitePath+"inc/gbook.asp?list.html")
		  }
		  else if(obj=="err"){alert('发生错误4');}
		  else{viewLeaveWordList("/"+sitePath+"inc/gbook.asp?list.html");}
	  });
	};	
	$.fn.replyLeaveWord=function(e,id){
	  $(".window_midtit span").html("留言板回复")
	  $(".window_carstat").hide()
	  $(".window_content").html("<div class='log_content'><form><p><textarea id='m_replycontent' class='reply'></textarea></p><p><input type='button' value='回  复' onclick='$(this).submitReply("+id+")' /></p></form></div>")
	  scrolltop=$(document).scrollTop();//当前窗体距离页面顶部的高度
	  screenWidth=($(window).width()-winWidth)/2;
	  screenHeight=($(window).height()-winHeight)/2+scrolltop;
	  winX=e.pageX
	  winY=e.pageY;
	  $(".window_topm").css("width",win_topmWidth+"px")
	  $(".window_content").css({width:winWidth-50+"px",height:winHeight-70+"px"})//控件新宽度和高度
	  $(".window_bottomm").css("width",win_bottommWidth+"px")
	  $(".window_midlbg").css({height:win_midlHeight+"px"})
	  $(".window_midrbg").css({height:win_midrHeight+"px"})
	  $(".window_top").show();
	  $(".window_mid").show();
	  $(".window_loader").hide()
	  $(".window_bottom").show();
	  $(".window").css({top:winY,left:winX,width:0,height:0}).show().animate({left:screenWidth,top:screenHeight,width:winWidth+"px",height:winHeight+"px"},300)
	  $(".windowbg").css({display:"block",width:$(document).width(),height:$(document).height()}).fadeTo(0,0.5)
    };
	
	$(".pro_but2").click(function(e){
	var relArr=$(this).attr("rel").split("-")
	if (shop.check(relArr[1]))
	{
	  $(".window_midtit span").html("<img src=\""+imagesPath+"/img/car.gif\" width=\"19\" height=\"16\" /> 宝贝已经成功添加到购物车！")
	  $(".window_carstat").show()
	  $(".window_loader").css({top:$(this).position().top+"px",left:$(this).position().left+10+"px",width:$(this).css("width"),height:$(this).css("height"),paddingTop:"15px"}).fadeTo(0,0.7).show()
	  $.getScript('/'+sitePath+'inc/ajax.asp?id='+relArr[0]+'&action=addCart&num='+$("#num").val()+'&AttributeCart='+escape($("#AttributeCart").val()),function()
		  {
			if (data.flag=='error')
			{alert('对不起，您没有登录!');}
			else if (data.flag=='error1')
			{alert('对不起，您所在的用户级别不能购买本商品!');}
			else{$(".window_car").html(unescape(data.str));}
			scrolltop=$(document).scrollTop();//当前窗体距离页面顶部的高度
			screenWidth=($(window).width()-winWidth)/2;
			screenHeight=($(window).height()-winHeight)/2+scrolltop;
			winX=e.pageX
			winY=e.pageY;
			$(".window_topm").css("width",win_topmWidth+"px")
			$(".window_content").css({width:winWidth-50+"px",height:winHeight-70+"px"})//控件新宽度和高度
			$(".window_bottomm").css("width",win_bottommWidth+"px")
			$(".window_midlbg").css({height:win_midlHeight+"px"})
			$(".window_midrbg").css({height:win_midrHeight+"px"})
			$(".window_top").show();
			$(".window_mid").show();
			$(".window_loader").hide()
			$(".window_bottom").show();
			$(".window").css({top:winY,left:winX,width:0,height:0}).show().animate({left:screenWidth,top:screenHeight,width:winWidth+"px",height:winHeight+"px"},300)
			$(".windowbg").css({display:"block",width:$(document).width(),height:$(document).height()}).fadeTo(0,0.5)
		  });
	  
	}
    });
	
	////////鼠标移动窗口//////////
	$(".window_midtit,.window_top").mousedown(function(e){
	   _move=true;
	   _x=e.pageX-parseInt($(".window").css("left"));
	   _y=e.pageY-parseInt($(".window").css("top"));
	  $(document).mousemove(function(e){
		  if(_move)
		  {
			  var x=e.pageX-_x;//移动时根据鼠标位置计算控件左上角的绝对位置
			  var y=e.pageY-_y;
			  $(".window").css({top:y,left:x});//控件新位置
		  }
		  }).mouseup(function(){
			_move=false;
	 });});
	$.fn.closeWindow=function(){
		$(".window").animate({left:winX,top:winY,width:0,height:0},300).css({width:winWidth+"px",height:winHeight+"px"}).hide("fast")
		$(".window_content").css({width:winWidth-50+"px",height:winHeight-70+"px"})//控件新宽度和高度	
		setTimeout("$('.window_top').hide()",250)
		setTimeout("$('.window_mid').hide()",250)
		setTimeout("$('.window_bottom').hide()",250)
		$(".windowbg").css("display","none")
    }
	////////鼠标拖动窗口大小//////////
	var timer2
	var drag=false//拖拽改变窗口大小标记
	$(".window_midbot span").mousedown(function(e){
		var currentW=0,currentH=0//currentW、currentH最新的窗口宽度和高度
		drag=true;
		$(document).mousemove(function(e){
		  if(drag)
		  {
			  currentW=e.pageX-parseInt($(".window").css("left"))+20;//最新的窗口宽度
			  currentH=e.pageY-parseInt($(".window").css("top"))+20;//最新的窗口高度
			  if(currentW<273){currentW=273}
			  if(currentH<150){currentH=150}
			  $(".window").css({width:currentW+"px",height:currentH+"px"})//控件新宽度和高度	
			  $(".window_content").css({width:currentW-50+"px",height:currentH-70+"px"})//控件新宽度和高度
			  $(".window_topm").css({width:currentW-20+"px"})
			  $(".window_bottomm").css({width:currentW-20+"px"})
			  if(parseInt($(".window").css("height"))>100)
			  {
				  $(".window_midlbg").css({height:currentH-19+"px"})
				  $(".window_midrbg").css({height:currentH-19+"px"})
			  }
		  }
		}).mouseup(function(){
			drag=false;
		});
	})
	$(".window_midbot span").mouseup(function(){
		drag=false;
	})
//////////////////////////////////////弹窗 结束/////////////////////////////////////////////////////////
})